package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFGR7 extends MwfRequest<MWFGR7, MWFGR7Response> {

    @Parameter(name = "CARD_ACCOUNT_NUMBER")
    MWFGR7 cardAccountNumber(Long cardAccountNumber);
    @Parameter(name = "CARD_NUMBER")
    MWFGR7 cardNumber(Long cardNumber);
    @Parameter(name = "CHG_3DSEC_PHONE")
    MWFGR7 chg3dsecPhone(String chg3dsecPhone);
    @Parameter(name = "CHG_ACTIVATE_3DSEC")
    MWFGR7 chgActivate3dsec(String chgActivate3dsec);
    @Parameter(name = "CHG_REGISTER_CARD")
    MWFGR7 chgRegisterCard(String chgRegisterCard);
    @Parameter(name = "CHG_UNBLOCK_3DSEC_TRANS")
    MWFGR7 chgUnblock3dsecTrans(String chgUnblock3dsecTrans);
    @Parameter(name = "DEVICE_ID")
    MWFGR7 deviceId(String deviceId);
    @Parameter(name = "EXPIRATION")
    MWFGR7 expiration(String expiration);
    @Parameter(name = "LOGO")
    MWFGR7 logo(String logo);
    @Parameter(name = "MOBILE_PHONE")
    MWFGR7 mobilePhone(String mobilePhone);
    @Parameter(name = "OPERATOR")
    MWFGR7 operator(String operator);
    @Parameter(name = "ORGANIZATION")
    MWFGR7 organization(String organization);
}
